#pragma once
#include <Godot.hpp>
#include <KinematicBody2D.hpp>
#include <TileMap.hpp>
#include <vector>

#include "Terrain.h"

using namespace godot;

class GestionTerrain : public TileMap
{
private:
	GODOT_CLASS(GestionTerrain, TileMap)
	
public:
	GestionTerrain();
	~GestionTerrain();
	
	void static _register_methods();
	void _process();
	void _init();
	void _ready();

private:
	void AjoutMur(int sizeX, int sizeY, int posX, int posY);
	void AjoutSolSolide(int sizeX, int sizeY, int posX, int posY);
	void AjoutSolTraversable(int sizeX, int sizeY, int posX, int posY);

	void SuppressionTout();

public:
	void GenerationCarte();
};

